Summary:        Host AP deamon.
Name:           hostapd
Version:        0.6.2GIT
Release:        080201
URL:            http://hostap.epitest.fi/
License:        GPL
Group:          System Environment/Kernel
Source0:        hostapd-%{version}.tar.bz2
Source1:        f8config
Source2:        hostapd.conf
Source3:        hostapd.accept
Source4:        hostapd.deny
Source5:        hostapd
#Patch0:         hostapd_rt2x00patch.diff
#Patch1:         hostapd_newdevscapepatch.diff
#Patch2:         compat-wireless-2.6-linux-wireless.h.diff
#Patch3:         hostapd_staticbuild.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:  gcc

%{!?kernel: %{expand: %%define kernel %(uname -r)}}

%description
hostapd is an optional user space component for Host AP driver. It
adds more features to the basic IEEE 802.11 management included in the
kernel driver: using external RADIUS authentication server for MAC
address based access control, IEEE 802.1X Authenticator and dynamic
WEP keying, RADIUS accounting.

#---------------------------------------------------------------------
%prep
%setup -q
#%patch0 -p0
#%patch1 -p0
#%patch2 -p0
#%patch3 -p0

#---------------------------------------------------------------------
%build
%define _srcdir %{_topdir}/BUILD/%{name}-%{version}
SRCDIR="`echo %{_srcdir} | sed -e 's/\//\\\\\//g'`"
KERNELSRCDIR="/usr/src/kernels/`uname -r`-`uname -m`"
if [ -d /usr/include/mac80211-`uname -r` ]; then
  cp -a ${KERNELSRCDIR} %{_srcdir}/kerneldev
  cp -af /usr/include/mac80211-`uname -r`/linux/*.h \
    %{_srcdir}/kerneldev/include/linux/
  cp -af /usr/include/mac80211-`uname -r`/linux/ssb/*.h \
    %{_srcdir}/kerneldev/include/linux/ssb/
  cp -af /usr/include/mac80211-`uname -r`/net/*.h \
    %{_srcdir}/kerneldev/include/net/
  KERNELSRCDIR="%{_srcdir}/kerneldev"
fi
KERNELSRCDIR="`echo ${KERNELSRCDIR} | sed -e 's/\//\\\\\//g'`"
# use this line to use included GIT libnl
#cat %{SOURCE1} \
#  | sed -e 's/%WIRELESSDEV%/'${SRCDIR}'\/compat-wireless-2.6\/include/' \
#  | sed -e 's/%LIBNL%/'${SRCDIR}'\/libnl/' \
#  > %{_srcdir}/hostap/hostapd/.config
# or this line to disable included GIT libnl, and use the installed libnl
#cat %{SOURCE1} \
#  | sed -e 's/%WIRELESSDEV%/'${SRCDIR}'\/compat-wireless-2.6\/include/' \
#  | grep -v LIBNL \
#  > %{_srcdir}/hostap/hostapd/.config
cat %{SOURCE1} \
  | sed -e 's/%WIRELESSDEV%/'${KERNELSRCDIR}'\/include/' \
  | grep -v LIBNL \
  > %{_srcdir}/hostap/hostapd/.config


# apply johannes bergs hostapd patches
for PATCH in `ls %{_srcdir}/patches/*.patch`; do
  patch -F 3 -N -f -p0 < ${PATCH}
done

cd %{_srcdir}/hostap/hostapd
make
gzip hostapd.8
gzip hostapd_cli.1

#---------------------------------------------------------------------
%install
rm -rf %{buildroot}
mkdir -p %{buildroot}
mkdir -p %{buildroot}/usr/sbin
mkdir -p %{buildroot}/etc
mkdir -p %{buildroot}/etc/rc.d/init.d
mkdir -p %{buildroot}/%{_mandir}/man8
mkdir -p %{buildroot}/%{_mandir}/man1
install -m 755 %{_srcdir}/hostap/hostapd/hostapd %{buildroot}/usr/sbin/
install -m 755 %{_srcdir}/hostap/hostapd/hostapd_cli %{buildroot}/usr/sbin/
install -m 644 %{_srcdir}/hostap/hostapd/hostapd.8.gz %{buildroot}/%{_mandir}/man8/
install -m 644 %{_srcdir}/hostap/hostapd/hostapd_cli.1.gz %{buildroot}/%{_mandir}/man1/
install -m 644 %{SOURCE2} %{buildroot}/etc
install -m 644 %{SOURCE3} %{buildroot}/etc
install -m 644 %{SOURCE4} %{buildroot}/etc
install -m 755 %{SOURCE5} %{buildroot}/etc/rc.d/init.d

#---------------------------------------------------------------------
%clean
rm -rf %{buildroot}

#---------------------------------------------------------------------

%files
%defattr(-,root,root,-)
%doc hostap/hostapd/ChangeLog hostap/hostapd/README hostap/hostapd/developer.txt
%config /etc/hostapd.accept
%config /etc/hostapd.deny
%config /etc/hostapd.conf
/usr/sbin/hostapd
/usr/sbin/hostapd_cli
/etc/rc.d/init.d/hostapd
%{_mandir}/man8/hostapd.8.gz
%{_mandir}/man1/hostapd_cli.1.gz
#-------------------------------------------------------------------------

%changelog
* Mon Feb 24 2003 Your Name <your.email> - version-release
- Initial RPM release.



